from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class GeneralFunction(IntEnum):
    NONE = auto()
    AUTO = auto()
    SUM = auto()
    COUNT = auto()
    AVERAGE = auto()
    MAX = auto()
    MIN = auto()
    PRODUCT = auto()
    COUNTNUMS = auto()
    STDEV = auto()
    STDEVP = auto()
    VAR = auto()
    VARP = auto()
